javax.persistence.spi

## Interface PersistenceUnitInfo

    public interface PersistenceUnitInfo

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addTransformer(ClassTransformer transformer)`
`boolean` `excludeUnlistedClasses()`
`ClassLoader` `getClassLoader()`
`List<URL>` `getJarFileUrls()`
`DataSource` `getJtaDataSource()`
`List<String>` `getManagedClassNames()`
`List<String>` `getMappingFileNames()`
`ClassLoader` `getNewTempClassLoader()`
`DataSource` `getNonJtaDataSource()`
`String` `getPersistenceProviderClassName()`
`String` `getPersistenceUnitName()`
`URL` `getPersistenceUnitRootUrl()`
`String` `getPersistenceXMLSchemaVersion()`
`Properties` `getProperties()`
`SharedCacheMode` `getSharedCacheMode()`
`PersistenceUnitTransactionType` `getTransactionType()`
`ValidationMode` `getValidationMode()`

### Method Detail

#### getPersistenceUnitName

    String getPersistenceUnitName()

#### getPersistenceProviderClassName

    String getPersistenceProviderClassName()

#### getTransactionType

    PersistenceUnitTransactionType getTransactionType()

#### getJtaDataSource

    DataSource getJtaDataSource()

#### getNonJtaDataSource

    DataSource getNonJtaDataSource()

#### getMappingFileNames

    List<String> getMappingFileNames()

#### getJarFileUrls

    List<URL> getJarFileUrls()

#### getPersistenceUnitRootUrl

    URL getPersistenceUnitRootUrl()

#### getManagedClassNames

    List<String> getManagedClassNames()

#### excludeUnlistedClasses

    boolean excludeUnlistedClasses()

#### getSharedCacheMode

    SharedCacheMode getSharedCacheMode()

#### getValidationMode

    ValidationMode getValidationMode()

#### getProperties

    Properties getProperties()

#### getPersistenceXMLSchemaVersion

    String getPersistenceXMLSchemaVersion()

#### getClassLoader

    ClassLoader getClassLoader()

#### addTransformer

    void addTransformer(ClassTransformer transformer)

#### getNewTempClassLoader

    ClassLoader getNewTempClassLoader()